@echo off

rem HTML Help のビルド
rem
rem 事前条件
rem   * カレントディレクトリが vcproj のある階層
rem   * makehm にパスが通っている (C:\Program Files\Microsoft Visual Studio .NET 2003\Common7\Tools)
rem     vsvars32.bat を call すればよい

set InputFileName=resource.h

echo // 生成されたマップ ファイルです。次で使用されます。fugen.hhp. > "hlp\HTMLDefines.h"
echo. > "hlp\HTMLDefines.h"
echo // コマンド (ID_* and IDM_*) >> "hlp\HTMLDefines.h"
makehm /h ID_,HID_,0x10000 IDM_,HIDM_,0x10000 "%InputFileName%" >> "hlp\HTMLDefines.h"
echo. >> "hlp\HTMLDefines.h"
echo // プロンプト (IDP_*) >> "hlp\HTMLDefines.h"
makehm /h IDP_,HIDP_,0x30000 "%InputFileName%" >> "hlp\HTMLDefines.h"
echo. >> "hlp\HTMLDefines.h"
echo // リソース (IDR_*) >> "hlp\HTMLDefines.h"
makehm /h IDR_,HIDR_,0x20000 "%InputFileName%" >> "hlp\HTMLDefines.h"
echo. >> "hlp\HTMLDefines.h"
echo // ダイアログ (IDD_*) >> "hlp\HTMLDefines.h"
makehm /h IDD_,HIDD_,0x20000 "%InputFileName%" >> "hlp\HTMLDefines.h"
echo. >> "hlp\HTMLDefines.h"
echo // フレーム コントロール (IDW_*) >> "hlp\HTMLDefines.h"
makehm /h /a afxhh.h IDW_,HIDW_,0x50000 "%InputFileName%" >> "hlp\HTMLDefines.h"
